/**
 * compute non-weighted tangent for a given cubic bezier weighted tangent
 * @param x normalized tangent x [0..=1]
 * @param y normalized tangent y [0..=1]
 * @param frameDelta x distance between the frame, must be >= 0
 * @param valueDelta y distance between the value
 * @returns hermite tangent value
 */
export declare function computeHermiteTangent(x: number, y: number, frameDelta: number, valueDelta: number): number;
