import type { ILogger } from "./ILogger";
import type { VpdObject } from "./vpdObject";
/**
 * VpdReader is a static class that parses VPD data
 */
export declare class VpdReader {
    private static readonly _Signature;
    private constructor();
    /**
     * Parse VPD data
     * @param data VPD data
     * @param logger logger
     * @returns MMD animation data
     * @throws {Error} If validation fails
     */
    static Parse(data: string, logger?: ILogger): VpdObject;
    private static _ConsumeWhiteSpace;
    private static _ConsumeLine;
    private static _ConsumeEmpty;
    private static _ConsumeWhileCloseBracket;
    private static _ConsumeStatement;
    private static _ConsumeBeforeLineEnding;
    private static _ConsumeBeforeOpenBracket;
}
