import { type ISceneLoaderPluginAsync } from "@babylonjs/core/Loading/sceneLoader";
import type { ILogger } from "./Parser/ILogger";
import type { PmxObject } from "./Parser/pmxObject";
import { PmLoader } from "./pmLoader";
/**
 * PmdLoader is a loader that loads the model in the PMD format
 *
 * PMD is a binary file format that contains all the data except the texture of the model
 */
export declare class PmdLoader extends PmLoader implements ISceneLoaderPluginAsync, ILogger {
    /**
     * Create a new PmdLoader
     */
    constructor();
    protected _parseFileAsync(arrayBuffer: ArrayBuffer): Promise<PmxObject>;
}
