import type { IMmdAnimationTrack } from "../../Loader/Animation/IMmdAnimationTrack";
/**
 * Mmd runtime animation base class
 */
export declare abstract class MmdRuntimeAnimation<T> {
    /**
     * Animation data
     */
    abstract readonly animation: T;
    private readonly _lastResults;
    /**
     * Find frame index B to interpolate between frame A and frame B
     *
     * Frame time must be clamped to [startFrame, endFrame]
     *
     * @param frameTime Frame time in 30fps
     * @param track Animation track
     * @returns
     */
    protected _upperBoundFrameIndex(frameTime: number, track: IMmdAnimationTrack): number;
}
