import type { IWasmTypedArray } from "./IWasmTypedArray";
/**
 * Spinlock for WASM runtime synchronization
 */
export declare class WasmSpinlock {
    private readonly _lock;
    /**
     * Creates a new WasmSpinlock with the 1 byte length lock array
     * @param lock Lock array
     */
    constructor(lock: IWasmTypedArray<Uint8Array>);
    /**
     * waits for the lock to be released
     */
    wait(): void;
}
